Subject: Re: [PATCH 2/2] Prefix List and O/M flags against 2.4.21

From: Krishna Kumar <[email-masked]>
Date: Thu, 17 Jul 2003 15:34:05 -0700

> Hmm, you seems still misunderstanding some of our points. :-p
> Alexey says we may want to use ifi_family for per-interface L3 information
> including M/O bits. 

It is not a misunderstanding, I had replied to that mail saying that I don't
have any knowledge of using this new interface. If you prefer, I can split the
patch for prefix list vs O/M bits so that the former is accepted without any
issues. Someone else can modify the O/M to suit new needs. Does that sound OK
with you ?

 > At least, new RTM_xxx should not be restricted to get such flags.

That's why I had suggested that we can use RTM_GETLNKINFO with more information,
like RTA_IFFLAGS, and other things like stats or whatever. That can be done
easily enough and still be functionally complete. I just don't have any idea
about this new interface.

Is this still a problem ?

thanks,

- KK